package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.marketrun.*;
import com.muchinfo.mtp3pojos.vo.query.position.PositionSheetResult;

import javax.servlet.http.HttpServletRequest;

public interface IMarketRunManageService {
    PageResult<MarketRunLoginUserResult> queryUserLogin(String loginid, Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult downonline(Long loginid, HttpServletRequest request);

    PageResult<MarketRunCutPositionResult> queryCutposition(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult<MarketRunInitInvestor> initInvestor(HttpServletRequest request);

    AjaxResult<MarketRunInvestorResult> investor(MarketRunInvestorParam param, HttpServletRequest request);

    AjaxResult<MarketRunMemberResult> memberRisk(MarketRunInvestorParam param, HttpServletRequest request);

    AjaxResult<AccPosInfoVo> accpage(Long accountid, HttpServletRequest request);

    AjaxResult<PositionSheetResult> queryHolderDetailMonitor(Long accountid, Long goodsid, HttpServletRequest request);
}
